﻿body {
    padding: 0;
    margin: 0;
    font-family: 'PT Sans', sans-serif;
}
strong, span {
    display: block;
}
section {
    margin: 15px 0;
}
tbody {
    border: 6px solid blue;
}
td {
    vertical-align: center;
}
tr {
    background: #FFF;
}
tr.alt td {
    background: #f6f6f6;
}

/* Updating styling for dynamic role definitions -- TODO: Will need to test in browsers */
#mytable tr:nth-child(odd) td{
    background: #f6f6f6;
}
#mytable tr:nth-child(even){
    background: #FFF;
}

body.login-background {
    background: #D7E0DB;
    width: 100%;
    height: 100%;
    padding-top: 20px;
}
.sso-login-container {
    max-width: 320px;
    width: 100%;
    margin: 0 auto;
    font-family: 'PT Sans', sans-serif;
    font-size: 14px;
    box-shadow: 0px 1px 3px 0px rgba(20, 20, 20, 0.2);
    background: #F5F8F1;
    padding: 15px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    }
    .sso-login-container a {
        color: #000;
        text-decoration: none;
    }
    .sso-login-container a:hover {
        text-decoration: underline;
        color: #444;
    }
    h1.login-header {
        text-align: center;
        margin: 20px 0;
    }
    h2.center-text {
        margin: 30px 0 30px 30px;
    }
        .login-container {
            margin-left: 25px;
        }
        .login-container input {
            width: 90%;
            padding: 20px 8px;
        }
        .login-container select {
            width: 90%;
            padding: 5px 2px;
        }
        .login-wrap {
            margin-bottom: 10px;
        }
        .password-wrap {
            margin-bottom: 20px;
        }
        .login-container label {
            margin-left: 10px;
        }
        .login-field-name {
            font-size: 16px;
            color: #555;
        }
        .forgot-password {
            float: right;
            margin: 15px 25px 0 0;
        }
        .blue-bar {
            height: 50px;
            background: #00A7D1;
            width: 110%;
            margin-left: -15px;
            padding-bottom: 10px;
            height:auto;
        }
            /*.bar-button-right {
                margin: 10px 0 0 90px;
            }*/
        .main-content {
            width: 100%;
            display: inline-block;
            border-radius-top: 4px;
            padding: 10px 0 20px 0px;
            -webkit-border-top-left-radius: 3px;
            -webkit-border-top-right-radius: 3px;
            border-top-left-radius: 3px;
            border-top-right-radius: 3px;
        }
        .footer-info {
            text-align: right;
            font-weight: 400;
            margin-bottom: 20px;
            width: 320px;
            display: block;
            margin-right: 20px;
        }
        .signin-button-container {
  margin: 0 auto;
  width: 80%;
  padding-top: 10px;
}

/* ==================================== 
    Registration 1 
===================================== */

.field-validation-error{
    color:red; 
}

.demo-message{
    color:red;
}

a {
    color: #00ABD6;
}
a:hover {
    color: #555;
}
.registration-container {
   width: 1040px;
   max-width: 100%;
   margin: 0 auto;
   padding: 20px;
}
    /* Content */
    .content-wrap {
        margin: 0 20px;
    }
        h2.steps {
            font-size: 16px;
            font-weight: bold;
            margin-top: 40px;
        }
        .input-section {
            margin: 0 0 25px 15px;
            max-width: 800px;
        }
            .input-section ul li {
                list-style: none;
                margin: 15px 0;
            }
            .input-section .text-input {
                width: 190px;
            }
            .row {
                display: block;
                clear: both;
            }
            .column-s {
                width: 210px;
                float: left;
                margin: 0 15px 20px 0;
            }
            .column-m {
                width: 350px;
                float: left;
                margin-bottom: 20px;
            }
            .column-l {
                width: 50%;
                float: left;
                margin-bottom: 20px;
            }
            .required-submit {
                margin: 30px 0;
                max-width: 200px;
                max-height: 40px;
            }
            span.required {
                clear: both;
                font-size: 14px;
                font-style: italic;
            }
            .required-input {
                margin-top: 50px;
            }
.Firefox-Message-Container
{  
    clear:both;
    padding-top:30px;
    font-size:.8em;
}

/* ==================================== 
    Registration 2 
===================================== */
h2.registration {
    margin-top: -15px;
}
.identity-box { 
    margin: 20px auto 30px;
    text-align: center;
}
.tester-list {
    max-width: 800px;
}
.paragraph-content {
    padding: 0 10px;
    margin: 45px 0;
}
.role-definition-table {
   padding: 10px 0 80px;
}
.role-definition-table td {
    padding: 10px;
}

.user-role {
    clear: both;
    padding-top: 20px;
}
/* local Elements */
.tc-detail-box {
    background-color: rgb(233, 238, 232);
    border: 1px solid rgb(171, 220, 229);
    padding: 10px 20px;
}
.border-light {
    border: 1px solid #c7c7c7!important;
}
.innner-box {
    background: #FFF;
    display: inline-block;
}
.right {
    float: right;
}
.left {
    float: left;
}
.tennant-orange-btn {
    background: #ff8331;
    background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2ZmODMzMSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNmZjY3MDIiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
    background: -moz-linear-gradient(top,  #ff8331 0%, #ff6702 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#ff8331), color-stop(100%,#ff6702)); 
    background: -webkit-linear-gradient(top,  #ff8331 0%,#ff6702 100%);
    background: -o-linear-gradient(top,  #ff8331 0%,#ff6702 100%);
    background: -ms-linear-gradient(top,  #ff8331 0%,#ff6702 100%);
    background: linear-gradient(to bottom,  #ff8331 0%,#ff6702 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ff8331', endColorstr='#ff6702',GradientType=0 );
    border: none;
    border-radius: 4px;
    border-top-right-radius: 4px;
    border-top-left-radius: 4px;
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
    color: #FFF;
    font-size: 14px;
    font-family: 'PT Sans', sans-serif;
    padding: 1px 10px 4px 8px;
    text-decoration: none;
    vertical-align: middle;
    -webkit-box-shadow: 0px 1px 3px 0px rgba(20, 20, 20, 0.2);
    -moz-box-shadow:    0px 1px 3px 0px rgba(20, 20, 20, 0.2);
    box-shadow:         0px 1px 3px 0px rgba(20, 20, 20, 0.2);
    white-space: normal;
}
.tennant-orange-btn:hover {
    background: #ff6905;
    background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2ZmNjkwNSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNmZjgwMmIiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
    background: -moz-linear-gradient(top,  #ff6905 0%, #ff802b 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#ff6905), color-stop(100%,#ff802b));
    background: -webkit-linear-gradient(top,  #ff6905 0%,#ff802b 100%);
    background: -o-linear-gradient(top,  #ff6905 0%,#ff802b 100%);
    background: -ms-linear-gradient(top,  #ff6905 0%,#ff802b 100%);
    background: linear-gradient(to bottom,  #ff6905 0%,#ff802b 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ff6905', endColorstr='#ff802b',GradientType=0 );
}
.tennant-orange-btn span {
    padding: 0px 0 6px 15px;
    white-space: nowrap;
    vertical-align: middle;
}
.tennant-orange-btn img {
    vertical-align: bottom;
}
.tennant-silver-btn {
    border-radius: 4px;
    border-top-right-radius: 4px;
    border-top-left-radius: 4px;
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
    color: #333;
    font-size: 14px;
    font-family: 'PT Sans', sans-serif;
    padding: 1px 10px 4px 8px;
    text-decoration: none;
    vertical-align: middle;
    -webkit-box-shadow: 0px 1px 3px 0px rgba(20, 20, 20, 0.2);
    -moz-box-shadow:    0px 1px 3px 0px rgba(20, 20, 20, 0.2);
    box-shadow:         0px 1px 3px 0px rgba(20, 20, 20, 0.2);
    border: none;
    padding: 2px 8px;
    background: #f2f2f2; /* Old browsers */
/* IE9 SVG, needs conditional override of 'filter' to 'none' */
background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2YyZjJmMiIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNjZWNlY2UiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
background: -moz-linear-gradient(top,  #f2f2f2 0%, #cecece 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#f2f2f2), color-stop(100%,#cecece)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  #f2f2f2 0%,#cecece 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  #f2f2f2 0%,#cecece 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  #f2f2f2 0%,#cecece 100%); /* IE10+ */
background: linear-gradient(to bottom,  #f2f2f2 0%,#cecece 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f2f2f2', endColorstr='#cecece',GradientType=0 ); /* IE6-8 */

}
.tennant-silver-btn:hover {
    background: #eae1e1; /* Old browsers */
    /* IE9 SVG, needs conditional override of 'filter' to 'none' */
    background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iI2VhZTFlMSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiNmZmZmZmYiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
    background: -moz-linear-gradient(top,  #eae1e1 0%, #ffffff 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#eae1e1), color-stop(100%,#ffffff)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top,  #eae1e1 0%,#ffffff 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top,  #eae1e1 0%,#ffffff 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top,  #eae1e1 0%,#ffffff 100%); /* IE10+ */
    background: linear-gradient(to bottom,  #eae1e1 0%,#ffffff 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#eae1e1', endColorstr='#ffffff',GradientType=0 ); /* IE6-8 */
}

.loading{

    background: white;
    z-index: 99;
    display: none;
    opacity: .6;
    text-align: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

}

.loading-text{
    position: fixed;
    top: 50%;
    left: 50%;
    font-size: 32px;
    opacity: 1;
    color: black;

}